Rename user.friend_users to user.friends
[rails.git] / Gemfile.lock
index 4798189..23022ad 100644 (file)
@@ -79,6 +79,8 @@ GEM
       msgpack (~> 1.0)
     browser (2.5.3)
     builder (3.2.3)
+    bzip2-ffi (1.0.0)
+      ffi (~> 1.0)
     cancancan (3.0.1)
     canonical-rails (0.2.5)
       rails (>= 4.1, < 6.1)
@@ -99,14 +101,13 @@ GEM
       coffee-script-source
       execjs
     coffee-script-source (1.12.2)
-    colorize (0.8.1)
     composite_primary_keys (11.1.0)
       activerecord (~> 5.2.1)
     concurrent-ruby (1.1.5)
-    config (1.7.1)
+    config (1.7.2)
       activesupport (>= 3.0)
-      deep_merge (~> 1.2.1)
-      dry-validation (>= 0.12.2)
+      deep_merge (~> 1.2, >= 1.2.1)
+      dry-validation (~> 0.12, >= 0.12.2, < 1.0.0)
     coveralls (0.8.23)
       json (>= 1.8, < 3)
       simplecov (~> 0.16.1)
@@ -124,11 +125,11 @@ GEM
     delayed_job_active_record (4.1.3)
       activerecord (>= 3.0, < 5.3)
       delayed_job (>= 3.0, < 5)
-    docile (1.3.1)
+    docile (1.3.2)
     dry-configurable (0.8.3)
       concurrent-ruby (~> 1.0)
       dry-core (~> 0.4, >= 0.4.7)
-    dry-container (0.7.0)
+    dry-container (0.7.1)
       concurrent-ruby (~> 1.0)
       dry-configurable (~> 0.1, >= 0.1.3)
     dry-core (0.4.7)
@@ -162,10 +163,6 @@ GEM
       rubocop (~> 0.51)
       smart_properties
     erubi (1.8.0)
-    eslint-rails-ee (1.0.2)
-      colorize
-      execjs
-      railties (>= 3.2)
     execjs (2.7.0)
     exifr (1.3.6)
     factory_bot (5.0.2)
@@ -177,6 +174,8 @@ GEM
     faraday (0.15.4)
       multipart-post (>= 1.2, < 3)
     ffi (1.11.1)
+    ffi-libarchive (0.4.6)
+      ffi (~> 1.0)
     fspath (3.1.1)
     gd2-ffij (0.4.0)
       ffi (>= 1.0.0)
@@ -190,7 +189,7 @@ GEM
     http_accept_language (2.0.5)
     i18n (0.9.5)
       concurrent-ruby (~> 1.0)
-    i18n-js (3.2.3)
+    i18n-js (3.3.0)
       i18n (>= 0.6.6)
     image_optim (0.26.4)
       exifr (~> 1.2, >= 1.2.2)
@@ -204,8 +203,8 @@ GEM
       sprockets
     image_size (2.0.1)
     in_threads (1.5.2)
-    jaro_winkler (1.5.2)
-    jquery-rails (4.3.3)
+    jaro_winkler (1.5.3)
+    jquery-rails (4.3.5)
       rails-dom-testing (>= 1, < 3)
       railties (>= 4.2.0)
       thor (>= 0.14, < 2.0)
@@ -218,7 +217,6 @@ GEM
     jwt (2.2.1)
     kgio (2.11.2)
     kramdown (2.1.0)
-    libv8 (3.16.14.19)
     libxml-ruby (3.1.0)
     listen (3.1.5)
       rb-fsevent (~> 0.9, >= 0.9.4)
@@ -359,7 +357,6 @@ GEM
       ffi (~> 1.0)
     record_tag_helper (1.0.0)
       actionview (~> 5.x)
-    ref (2.0.0)
     request_store (1.4.1)
       rack (>= 1.4)
     rinku (2.0.6)
@@ -374,8 +371,8 @@ GEM
       unicode-display_width (>= 1.4.0, < 1.7)
     rubocop-performance (1.3.0)
       rubocop (>= 0.68.0)
-    rubocop-rails (2.0.0)
-      rack (>= 2.0)
+    rubocop-rails (2.0.1)
+      rack (>= 1.1)
       rubocop (>= 0.70.0)
     ruby-openid (2.7.0)
     ruby-progressbar (1.10.1)
@@ -388,7 +385,7 @@ GEM
     sassc (2.0.1)
       ffi (~> 1.9)
       rake
-    sassc-rails (2.1.1)
+    sassc-rails (2.1.2)
       railties (>= 4.0.0)
       sassc (>= 2.0)
       sprockets (> 3.0)
@@ -414,9 +411,6 @@ GEM
       tins (~> 1.0)
     terrapin (0.6.0)
       climate_control (>= 0.0.3, < 1.0)
-    therubyracer (0.12.3)
-      libv8 (~> 3.16.14.15)
-      ref
     thor (0.20.3)
     thread_safe (0.3.6)
     tilt (2.0.9)
@@ -433,9 +427,9 @@ GEM
       addressable (>= 2.3.6)
       crack (>= 0.3.2)
       hashdiff (>= 0.4.0, < 2.0.0)
-    websocket-driver (0.7.0)
+    websocket-driver (0.7.1)
       websocket-extensions (>= 0.1.0)
-    websocket-extensions (0.1.3)
+    websocket-extensions (0.1.4)
     xpath (3.2.0)
       nokogiri (~> 1.8)
 
@@ -455,6 +449,7 @@ DEPENDENCIES
   binding_of_caller
   bootsnap (>= 1.1.0)
   browser
+  bzip2-ffi
   cancancan
   canonical-rails
   capybara (~> 2.13)
@@ -466,11 +461,10 @@ DEPENDENCIES
   delayed_job_active_record
   dynamic_form
   erb_lint
-  eslint-rails-ee
-  execjs
   factory_bot_rails
   fakefs
   faraday
+  ffi-libarchive
   gd2-ffij (>= 0.4.0)
   geoip
   htmlentities
@@ -485,6 +479,7 @@ DEPENDENCIES
   libxml-ruby (>= 2.0.5)
   listen
   logstasher
+  mimemagic
   minitest (~> 5.1)
   oauth-plugin (>= 0.5.1)
   omniauth
@@ -517,7 +512,6 @@ DEPENDENCIES
   sassc-rails
   secure_headers
   strong_migrations
-  therubyracer
   uglifier (>= 1.3.0)
   validates_email_format_of (>= 1.5.1)
   vendorer